=== debian/changelog ===
caveexpress (2.5.2-4) unstable; urgency=medium

  * Team Upload
  * reformat d/control with debputy

  [ Patrice Duroux ]
  * d/patches: use SDL_mixer.h in the right place (Closes: #1095714)
  * d/salsa-ci.yml: added to use Salsa CI.
  * d/rules: force LC_ALL to satisfy reprotest.
  * d/salsaci.yml: activate diffoscope for reprotest
  * d/salsa-ci.yml: update (noeol).

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Mar 2025 15:33:34 +0100

caveexpress (2.5.2-3) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root: no
  * Replace obsolete pkg-config with pkgconf
  * Replace obsolete libncurses5-dev with libncurses-dev

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 14:37:13 +0100

caveexpress (2.5.2-2) unstable; urgency=medium

  * Team upload.
  * Drop lua5.2 from Build-Depends.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Bastian Germann <bage@debian.org>  Fri, 25 Aug 2023 20:01:05 +0200

caveexpress (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2.
  * Tighten build-dependency on libbox2d-dev. (Closes: #993710)
  * Declare compliance with Debian Policy 4.6.0.
  * Mark data packages as Multi-Arch: foreign
  * d/rules: Remove miniracer option.
  * Build-depend on lua5.4.

 -- Markus Koschany <apo@debian.org>  Sun, 05 Sep 2021 16:07:02 +0200
