=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export CCACHE_DIR=$(CURDIR)/ccache

# force locale to satisfy reprotest due to config/scripts/lang.sh
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DNETWORKING=ON \
		-DUNITTESTS=OFF \
		-DTOOLS=OFF \
		-DVERBOSE=ON \
		-DCOVERAGE=OFF \
		-DUSE_CCACHE=ON \
		-DCAVEEXPRESS=ON \
		-DCAVEPACKER=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DPKGDATADIR=/usr/share/games \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_CXX_FLAGS_RELEASE="-DNDEBUG"

override_dh_installchangelogs:
	dh_installchangelogs docs/caveexpress/CHANGELOG

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_clean:
	rm -rf caveexpress cavepacker obj-*/ ccache*/ base/cave*/textures/complete.lua

override_dh_auto_test:
